Review, improve and promote sandbox types for 0.9 version
Assignee: % Done: 100%
Category: Type Proposal Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Related issues:
Copied to Robotics Systems Types - Tasks # 2243: Review, improve and promote ... Resolved 06/14/2013

Associated revisions
Revision 9115165d - 06/24/2013 02:18 PM - J. Wienke

Create device package hierarchy in stable.

    -  Added package description files to stable packages
    -  Removed the __package.proto from sandbox/rst/devices as it contained

wrong information and is duplicated now by the stable packages.

refs #1543

Revision 1793e2cf - 06/24/2013 02:20 PM - J. Wienke

Promoted BatteryState to stable.

    -  Renamed from Battery.proto -> BatteryState.proto
    -  Renamed fields to strip unnecessary battery_ prefix
    -  Added documentation strings with units and constraints as

reconstructed from the originating NAO component

refs #1543

Revision f78601fc - 06/24/2013 02:55 PM - J. Wienke

Refactor and promote cpu and memory information types.

    -  CpuMemory.proto: split into 3 different types with different
responsibilities

    -  CpuState.proto: Information about CPU performance counters and system
load. As this type is relatively stable across the changes we did now,
it is promoted to stable.

    -  MemoryState.proto: memory information from CpuMemory.proto. Not used
much, hence remains in sandbox.

    -  HostInformation.proto: Aggregated information about a node with
hostname, cpu and memory information. Result of splitting up
CpuMemory.proto.
refs #1543

Revision cf5a74d7 - 06/24/2013 03:11 PM - J. Wienke

Promote rst.generic types to stable.

The types have been used for some time and are stable in their
structure.

    -  Some documentation fixes
    -  Added __package.proto

refs #1543

Revision 83b641c7 - 06/24/2013 03:17 PM - J. Wienke

Promoted VectorDouble.proto to stable.

    -  deleted now empty sandbox package with less-specific package
description than in stable

refs #1543

Revision 35b494e5 - 06/24/2013 03:21 PM - J. Wienke

Moved RobotState to rst.devices.flexirob.

The current type is highly specific to the use of the fleirob system.
Hence we moved it to the specific folder.

refs #1543

Revision 850fc759 - 06/24/2013 05:07 PM - J. Wienke

Promote Interval.proto to stable.

Made minor documentation fixes.

refs #1543

Revision a9047a91 - 06/24/2013 05:14 PM - J. Wienke

Promote TrackingInfo.proto to stable.

This created a new package in the stable branch. Moved the description
from standbox to stable. In the description, removed sandbox-specific
documentation.
refs #1543

Revision 5503c517 - 06/24/2013 05:26 PM - J. Wienke

Promote PointCloudSet3DFloat.proto to stable.

refs #1543

Revision 324aebd2 - 07/10/2013 03:23 PM - J. Wienke

fixes #1543: Promote types to stable, clean sandbox

Types which have been in sandbox for some time have been merged to stable.
Several sandbox types have been improved, cleaned or deleted in case of
duplications.

Merge branch 'task-1543'

History
#1 - 06/24/2013 03:21 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 30

TODOs:

    -  sandbox/rst/InstantaneousPhase.proto: can this be deleted?
    -  sandbox/rst/audition/SoundEvent.proto: delete; replace with ClassificationResult
    -  sandbox/rst/cbse/*.proto: rename package (at least); wait for Arne
    -  sandbox/rst/timing/Point2D*.proto: still needed?
Only units/semantic markup
    -  sandbox/rst/geometry/Length.proto
    -  sandbox/rst/dynamics/Pressure.proto
    -  sandbox/rst/timing/Duration.proto
    -  sandbox/rst/timing/Frequency.proto

These wrappers may still be needed when communicating scalar values over RSB since RSB's builtin fundamental types cannot capture
units/semantics.

#2 - 06/24/2013 05:31 PM - J. Moringen
- % Done changed from 30 to 70

@Arne, Christian: please check whether these changes (in the "task-1543" branch) are acceptable.

#3 - 07/10/2013 03:02 PM - J. Moringen

Jan Moringen wrote:
TODOs:
    -  sandbox/rst/InstantaneousPhase.proto: can this be deleted?
    -  sandbox/rst/audition/SoundEvent.proto: delete; replace with ClassificationResult
    -  sandbox/rst/cbse/*.proto: rename package (at least); wait for Arne
    -  sandbox/rst/timing/Point2D*.proto: still needed?
Only units/semantic markup
    -  sandbox/rst/geometry/Length.proto
    -  sandbox/rst/dynamics/Pressure.proto
    -  sandbox/rst/timing/Duration.proto
    -  sandbox/rst/timing/Frequency.proto

These wrappers may still be needed when communicating scalar values over RSB since RSB's builtin fundamental types cannot capture
units/semantics.

#4 - 07/10/2013 03:25 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Applied in changeset rst-proto|commit:324aebd28dd57f7a871f36da2280ad9f5a5e2d2c.

#5 - 04/28/2015 03:06 PM - J. Wienke
- Copied to Tasks #2243: Review, improve and promote sandbox types for 0.12 version added
